{
  home.file.".gitkraken/themes/gruvbox-dark-medium.jsonc".text = ''
    {
      "meta": {
        "name": "Gruvbox Dark Medium",
        "scheme": "dark" // must be "light" or "dark"
      },
      "themeValues": {
        // values applied to the entire app
        "root": {
          // All dark gruvbox colours from https://github.com/morhetz/gruvbox
          // Contrast variants are excluded (this theme aims to be a 'medium' implementation)
          ".gruvbox-dark-red-a": "#CC241D",
          ".gruvbox-dark-red-b": "#FB4934",
          ".gruvbox-dark-green-a": "#98971A",
          ".gruvbox-dark-green-b": "#B8BB26",
          ".gruvbox-dark-yellow-a": "#D79921",
          ".gruvbox-dark-yellow-b": "#FABD2F",
          ".gruvbox-dark-blue-a": "#458588",
          ".gruvbox-dark-blue-b": "#83A598",
          ".gruvbox-dark-purple-a": "#B16286",
          ".gruvbox-dark-purple-b": "#D3869B",
          ".gruvbox-dark-aqua-a": "#689D6A",
          ".gruvbox-dark-aqua-b": "#8EC07C",
          ".gruvbox-dark-gray-a": "#928374",
          ".gruvbox-dark-gray-b": "#A89984",
          ".gruvbox-dark-bg0": "#282828",
          ".gruvbox-dark-bg1": "#3C3836",
          ".gruvbox-dark-bg2": "#504945",
          ".gruvbox-dark-bg3": "#665C54",
          ".gruvbox-dark-bg4": "#7C6F64",
          ".gruvbox-dark-fg4": "@.gruvbox-dark-gray-b",
          ".gruvbox-dark-fg3": "#BDAE93",
          ".gruvbox-dark-fg2": "#D5C4A1",
          ".gruvbox-dark-fg1": "#EBDBB2",
          ".gruvbox-dark-fg0": "#FBF1C7",
          ".gruvbox-dark-orange-a": "#D65D0E",
          ".gruvbox-dark-orange-b": "#FE8019",
          ".gruvbox-dark-bg": "@.gruvbox-dark-bg0",
          ".gruvbox-dark-fg": "@.gruvbox-dark-fg1",
          ".gruvbox-dark-gray": "@.gruvbox-dark-gray-a",

          // Core colors
          // TODO remove these eventually once they are not used
          "white":"@.gruvbox-dark-fg0",
          "black":"@.gruvbox-dark-bg",
          "red": "@.gruvbox-dark-red-a",
          "orange": "@.gruvbox-dark-orange-a",
          "yellow": "@.gruvbox-dark-yellow-a",
          "green": "@.gruvbox-dark-green-a",
          "teal": "@.gruvbox-dark-aqua-a",
          "blue": "@.gruvbox-dark-blue-a",
          "ltblue": "@.gruvbox-dark-blue-b",
          "purple": "@.gruvbox-dark-purple-a",

          // Background and panels
          "app__bg0": "@.gruvbox-dark-bg0",
          "toolbar__bg0": "darken(@.gruvbox-dark-bg0, 4%)",
          "toolbar__bg1": "@.gruvbox-dark-bg0",
          "toolbar__bg2": "@.gruvbox-dark-bg0",

          "panel__bg0": "@.gruvbox-dark-bg0",
          "panel__bg1": "@.gruvbox-dark-bg0",
          "panel__bg2": "@.gruvbox-dark-bg2",

          "glass": "#00000033",
          "glass-inverse-10": "#FFFFFF1A",
          "glass-inverse-5": "#FFFFFF0D",

          "input__bg": "darken(@.gruvbox-dark-bg0, 3%)",
          "input-bg-warn-color": "fade(@orange, 60%)",
          "panel-border": "@.gruvbox-dark-bg1",
          "section-border": "@.gruvbox-dark-bg1",
          "subtle-border": "@.gruvbox-dark-bg1",
          "modal-overlay-color": "rgba(0,0,0,.5)",

          // Graph colors
          "graph-color-0": "@.gruvbox-dark-blue-b",
          "graph-color-1": "@.gruvbox-dark-yellow-b",
          "graph-color-2": "@.gruvbox-dark-purple-b",
          "graph-color-3": "@.gruvbox-dark-aqua-b",
          "graph-color-4": "@.gruvbox-dark-red-b",
          "graph-color-5": "@.gruvbox-dark-orange-b",
          "graph-color-6": "@.gruvbox-dark-blue-a",
          "graph-color-7": "@.gruvbox-dark-yellow-a",
          "graph-color-8": "@.gruvbox-dark-purple-a",
          "graph-color-9": "@.gruvbox-dark-aqua-a",
          "stats-added-color": "#347d39",
          "stats-deleted-color": "#c93c37",
          "stats-files-color": "#e2c08d",

          // Text colors
          "text-selected": "@.gruvbox-dark-fg0",
          "text-normal": "@.gruvbox-dark-fg1",
          "text-secondary": "@.gruvbox-dark-fg2",
          "text-disabled": "@.gruvbox-dark-gray",
          "text-accent": "@.gruvbox-dark-orange-b",
          "text-inverse": "@.gruvbox-dark-gray",
          "text-bright": "@.gruvbox-dark-fg0",
          "text-dimmed": "fade(@text-normal, 20%)",
          "text-dimmed-selected": "fade(@text-dimmed, 50%)",
          "text-selected-row": "@text-selected",

          // First Time UX Variables
          // "gkftux-teal": "#A7FBFF",
          // "gkftux-bg": "#0D1017",
          // "gkftux-getstarted-bg": "rgba(255,255,255, 0)",
          // "gkftux-getstarted-bg-hover": "rgba(255,255,255,0.11)",
          // "gkftux-getstarted-border": "rgba(54, 57, 63, 1)",
          // "gkftux-getstarted-icon": "rgba(108, 108, 108, 1)",
          // "gkftux-repo-tab-border": "#36393F",
          // "gkftux-repo-tab-border-selected": "@gkftux-teal",
          // "gkftux-repo-tab-bg": "transparent",
          // "gkftux-repo-tab-bg-selected": "#1C1E23",
          // "gkftux-repo-tab-icon": "fade(@gkftux-teal, 50%)",
          // "gkftux-repo-tab-icon-selected": "@gkftux-teal",

          // Buttons
          "btn-text": "@text-normal",
          "btn-text-hover": "@text-selected",
          "default-border": "@text-normal",
          "default-bg": "transparent",
          "default-hover": "transparent",
          "default-border-hover": "@text-selected",
          "primary-border": "@blue",
          "primary-bg": "fade(@blue, 20%)",
          "primary-hover": "fade(@blue, 60%)",
          "success-border": "@green",
          "success-bg": "fade(@green, 20%)",
          "success-hover": "fade(@green, 60%)",
          "warning-border": "@orange",
          "warning-bg": "fade(@orange, 20%)",
          "warning-hover": "fade(@orange, 60%)",
          "danger-border": "@red",
          "danger-bg": "fade(@red, 20%)",
          "danger-hover": "fade(@red, 60%)",
          "hover-row": "fade(@blue, 10%)",
          "danger-row": "fade(@red, 60%)",
          "selected-row": "fade(@blue, 20%)",
          "selected-row-border": "none",
          "warning-row": "fade(@orange, 60%)",

          // Actions
          "droppable": "fade(@yellow, 30%)",
          "drop-target": "fade(@green, 50%)",
          "input--disabled": "fade(#000000, 10%)",
          "link-color": "@.gruvbox-dark-orange-a",
          "link-color-bright": "@.gruvbox-dark-orange-b",
          "form-control-focus": "@blue",
          "scroll-thumb-border": "transparent",
          "scroll-thumb-bg": "fade(@.gruvbox-dark-fg1, 15%)",
          "scroll-thumb-bg-light": "fade(@.gruvbox-dark-bg1, 15%)",
          "wip-status": "fade(@blue, 40%)",
          "card__bg": "@.gruvbox-dark-bg3",
          "card-shadow": "rgba(0,0,0,.2)",
          "statusbar__warning-bg": "mixLess(@graph-color-7, @app__bg0, 50%)",
          "label__yellow-color": "@.gruvbox-dark-yellow-b",
          "label__light-blue-color": "@.gruvbox-dark-blue-b",
          "label__purple-color": "@.gruvbox-dark-purple-b",
          "filtering": "fade(@blue, 50%)",
          "soloing": "fade(@orange, 50%)",
          "checked-out": "fade(@green, 30%)",
          "soloed": "fade(@orange, 30%)",
          "filter-match": "fade(@blue, 50%)",
          "clone__progress": "fade(@blue, 70%)",
          "toolbar__prompt": "fade(@blue, 20%)",
          "verified": "fade(@green, 30%)",
          "unverified": "fade(#ffffff, 10%)",
          "drop-sort-border": "@green",

          // Terminal
          "terminal__repo-name-color": "turquoise",
          "terminal__repo-branch-color": "violet",
          "terminal__repo-tag-color": "lightcoral",
          "terminal__repo-upstream-color": "yellowgreen",
          "terminal__background": "@.gruvbox-dark-bg",
          "terminal__cursor": "@.gruvbox-dark-fg4",
          "terminal__cursorAccent": "#000000",
          "terminal__foreground": "@.gruvbox-dark-fg",
          "terminal__selection": "darken(@.gruvbox-dark-orange-b, 35%)",
          "terminal__black": "@.gruvbox-dark-bg2",
          "terminal__red": "@.gruvbox-dark-red-a",
          "terminal__green": "@.gruvbox-dark-green-a",
          "terminal__yellow": "@.gruvbox-dark-yellow-a",
          "terminal__blue": "@.gruvbox-dark-blue-a",
          "terminal__magenta": "@.gruvbox-dark-purple-a",
          "terminal__cyan": "@.gruvbox-dark-aqua-a",
          "terminal__white": "@.gruvbox-dark-fg1",
          "terminal__brightBlack": "@.gruvbox-dark-bg4",
          "terminal__brightRed": "@.gruvbox-dark-red-b",
          "terminal__brightGreen": "@.gruvbox-dark-green-b",
          "terminal__brightYellow": "@.gruvbox-dark-yellow-b",
          "terminal__brightBlue": "@.gruvbox-dark-blue-b",
          "terminal__brightMagenta": "@.gruvbox-dark-purple-b",
          "terminal__brightCyan": "@.gruvbox-dark-aqua-b",
          "terminal__brightWhite": "@.gruvbox-dark-fg0",

          // Code editor
          "code-bg": "@app__bg0",
          "code-foreground": "@text-normal",
          "code-blame-color-0": "@graph-color-0",
          "code-blame-color-1": "@graph-color-1",
          "code-blame-color-2": "@graph-color-2",
          "code-blame-color-3": "@graph-color-3",
          "code-blame-color-4": "@graph-color-4",
          "code-blame-color-5": "@graph-color-5",
          "code-blame-color-6": "@graph-color-6",
          "code-blame-color-7": "@graph-color-7",
          "code-blame-color-8": "@graph-color-8",
          "code-blame-color-9": "@graph-color-9",
          "added-line": "fade(darken(@.gruvbox-dark-green-a, 10%), 25%)",
          "deleted-line": "fade(darken(@.gruvbox-dark-red-a, 5%), 25%)",
          "modified-line": "fade(#000000, 25%)",

          // Merge Conflicts
          "conflict-info-color": "@.gruvbox-dark-blue-b",
          "conflict-left-border-color": "@.gruvbox-dark-blue-b",
          "conflict-left-color": "fade(@conflict-left-border-color, 25%)",
          "conflict-right-border-color": "@.gruvbox-dark-yellow-b",
          "conflict-right-color": "fade(@conflict-right-border-color, 25%)",
          "conflict-output-border-color": "@.gruvbox-dark-purple-a",
          "conflict-output-color": "fade(@conflict-output-border-color, 25%)"
        },

        // Override specific values just for the toolbar
        "toolbar": {
          "text-selected": "@.gruvbox-dark-fg0",
          "text-normal": "@.gruvbox-dark-fg1",
          "text-secondary": "@.gruvbox-dark-fg2",
          "text-disabled": "@.gruvbox-dark-gray",
          "section-border": "@.gruvbox-dark-bg2",
          "input__bg": "rgba(0,0,0,.20)",
          "link-color": "@.gruvbox-dark-orange-a",
          "btn-text": "var(--text-normal)"
        },

        // Override specific values just for the tabs bar
        "tabsbar": {
          "text-selected": "@.gruvbox-dark-fg0",
          "text-normal": "@.gruvbox-dark-fg1",
          "text-secondary": "@.gruvbox-dark-fg3",
          "text-disabled": "@.gruvbox-dark-gray",
          "section-border": "@.gruvbox-dark-bg2",
          "input__bg": "rgba(0,0,0,.20)",
          "link-color": "@.gruvbox-dark-orange-a",
          "btn-text": "var(--text-normal)"
        }
      }
    }
  '';
}
